# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit font

DESCRIPTION="Hasklig - a code font with monospaced ligatures"
HOMEPAGE="https://github.com/ryanoasis/nerd-fonts"
SRC_URI="https://github.com/ryanoasis/nerd-fonts/releases/download/v${PV}/${PN}.zip -> ${P}.zip"

S="${WORKDIR}"

LICENSE="OFL-1.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64"

BDEPEND="app-arch/unzip"

# This ebuild does not install any binaries
RESTRICT="binchecks strip"

# There are also ttf fonts but I've googled that otf is better
FONT_SUFFIX="otf"
